=== debian/changelog ===
ros-kinetic-canopen-motor-node (0.7.13-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.12-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.11-1xenial) xenial; urgency=high

  * inherit LimitsHandle from LimitsHandleBase
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.10-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 17 Mar 2019 23:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.9-1xenial) xenial; urgency=high

  * introduced HandleLayerSharedPtr
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.8-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.7-1xenial) xenial; urgency=high

  * added types for all function objects
  * added types for all shared_ptrs
  * error if muparser is not available
  * address catkin_lint errors/warnings
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.6-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.5-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.4-1xenial) xenial; urgency=high

  * use portable boost::math::isnan
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.3-1xenial) xenial; urgency=high

  * use urdf::JointConstSharedPtr
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.2-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.1-1xenial) xenial; urgency=high

  * Decouble RobotLayer by introducing HandleLayerBase
  * Split layers into different headers and compile units
  * do not call handleReadread in HandleLayer::handleRecover
    this prevents a race condition, it is not needed anyway.
  * protect ObjectVariables with mutex
  * added test for norm function
  * fix for joint limit handling
  * introduced per-controller enforce_limits parameter
  * implemented per-joint limits handling
  * check if hardware interface matches mode
  * implemented mixed-mode switching (#197 <https://github.com/ipa-mdl/ros_canopen/issues/197>)
  * introduced joint reference for *res_it
  * Contributors: Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kinetic-canopen-motor-node (0.7.0-1xenial) xenial; urgency=high

  * multi-mode controllers are not supported (#197 <https://github.com/ros-industrial/ros_canopen/issues/197>)
  * Adaption to https://github.com/ros-controls/ros_control/commit/afaf9403d1daf6e7f0a93e4a06aa9695e2883632
  * Contributors: Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-kinetic-canopen-motor-node (0.6.5-1xenial) xenial; urgency=high

  * protect MotorChain setup with RosChain lock
  * Merge pull request #153 <https://github.com/ipa-mdl/ros_canopen/issues/153> from ipa-mdl/deprecated-canswitch
    deprecated canSwitch
  * fix for issue #171 <https://github.com/ipa-mdl/ros_canopen/issues/171>
  * Merge pull request #168 <https://github.com/ipa-mdl/ros_canopen/issues/168> from ipa-mdl/state-filters
    added filter chain for state values
  * do not start driver if filter config fails
  * added filter chain for state values
  * log control period settings
  * use update_period_ for controll unless use_realtime_period is set true
  * better initialize last_time_
  * removed canSwitch implementation, added compile-time check for prepareSwitch
  * exit code for generic error should be 1, not -1
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * foward commands ony if enabled in doSwitch
  * moved switch implemenation to non-RT prepareSwitch
  * migrated to non-const prepareSwitch
  * Splitted control_node.cpp into control_node.cpp, robot_layer.cpp and robot_layer.h
  * renamed chain_ros.h to ros_chain.h, fixes #126 <https://github.com/ipa-mdl/ros_canopen/issues/126>
  * added strictness to service call, extend error message for doSwitch fails
  * stop controllers that failed switching via service call
  * stop all cotnroller joints if one failed to switch
  * check for ready state before controller/mode switching
  * improved init bevaviour:
    * URDF is not read again (was not needed anyway=
    * register interfaces only of first init
  * remove unnecessary atomic reads
  * halt motor if switch failed
  * Fix for switching controllers with same mode
  * More expressive comments for compile-time check
  * Contributors: Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-kinetic-canopen-motor-node (0.6.4-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-kinetic-canopen-motor-node (0.6.3-1xenial) xenial; urgency=high

  * added motor prefix to allocator entry

